import {select, scaleOrdinal, scaleSqrt} from 'd3';
import {colorLegend} from './colorLegend';
import {sizeLegend} from './sizeLegend';

const svg = d3.select("svg");

const width = +svg.attr("width");

const circleRadius = 20;
const legendSpacing = circleRadius + 25;
const textOffset   = circleRadius + 1;

const scaleColour = scaleOrdinal();
scaleColour.domain(['apple', 'lemon', 'lime', 'orange'])
	         .range(['red', 'yellow', 'lightgreen', 'orange']);

const sizeScale = scaleSqrt();
sizeScale.domain([0 , 50])
			   .range([0, 30]);

svg.append('g')
		.attr('transform',`translate(100,100)`)
		.call(colorLegend, {colorScale		 : scaleColour, 
                        circleRadius	 : circleRadius,
                        legendSpacing  : legendSpacing,
                        textOffset		 : 30,
                        numTicks 			 : 5
                       });
    
svg.append('g')
		.attr('transform',`translate(400,100)`)
		.call(sizeLegend, { sizeScale		   : sizeScale, 
                        legendSpacing  : legendSpacing,
                        textOffset		 : 5
                       });
    





