import {select, range} from 'd3';


export const sizeLegend = (parent, props) => {
  const {sizeScale, legendSpacing, textOffset, numTicks} = props; //Unpack parameters
 // console.log(sizeScale.ticks(5));
  
  
  const groups      = parent.selectAll('g').data(sizeScale.ticks(4).filter(d => d !== 0).reverse());
  const groupsEnter = groups.enter().append('g');
  groupsEnter.merge(groups) 
             		.attr('transform', (d, i) => `translate(0, ${i * legendSpacing })` ) ; 
  
  groups.exit()
  	    .remove();

  groupsEnter
    			 .append('circle')
  
           .merge(groups.select('circle')) 
  					 .attr('fill','black')
  					 .attr('fill-opacity', .5)
           	 .transition().duration(1000)
  					 .attr('r', d => sizeScale(d))
             .attr('cx', (d, i) => 0)
  
 					; 
 
  
  groupsEnter
    			 .append('text')
  						.attr('class', 'tick')
  
             	.attr('x', d => sizeScale(d) + textOffset )
   						.attr('dy', '0.32em')
           .merge(groups.select('text'))  
    				 .text(d =>{return d;})
  					; 
 
 

 };